#ruby=1.9.3
source 'http://rubygems.org'
unless ENV["LOCAL_DEV"] == "1"
	source 'https://jamjam:blueberryjam@int.jamkazam.com/gems/'
end

devenv = ENV["BUILD_NUMBER"].nil?

if devenv
  gem 'jam_db', :path=> "../db/target/ruby_package"
  gem 'jampb', :path => "../pb/target/ruby/jampb"
else
  gem 'jam_db'
  gem 'jampb'
  ENV['NOKOGIRI_USE_SYSTEM_LIBRARIES'] ||= "true"
end

gem 'pg', '0.17.1', :platform => [:mri, :mswin, :mingw]
gem 'jdbc_postgres', :platform => [:jruby]

gem 'activerecord', '3.2.13'
gem "activerecord-import", "~> 0.4.1"
gem 'uuidtools', '2.1.2'
gem 'bcrypt-ruby', '3.0.1'
gem 'ruby-protocol-buffers', '1.2.2'
gem 'eventmachine', '1.0.3'
gem 'amqp', '1.0.2'
gem 'will_paginate'
gem 'actionmailer', '3.2.13'
gem 'sendgrid', '1.2.0'
gem 'aws-sdk', '~> 1'
gem 'carrierwave', '0.9.0'
gem 'aasm', '3.0.16'
gem 'devise', '3.3.0' # 3.4.0 causes: uninitialized constant ActionController::Metal (NameError)
gem 'postgres-copy'
gem 'geokit'
gem 'geokit-rails'
gem 'postgres_ext'
gem 'resque'
gem 'resque-retry'
gem 'resque-failed-job-mailer' #, :path => "/Users/seth/workspace/resque_failed_job_mailer"
gem 'resque-lonely_job', '~> 1.0.0'
gem 'resque_mailer'
gem 'oj'
gem 'builder'
gem 'fog'
gem 'rest-client'
gem 'iso-639'
gem 'rubyzip'
gem 'sanitize'
gem 'influxdb', '0.1.8'
gem 'recurly'

group :test do
  gem 'simplecov', '~> 0.7.1'
  gem 'simplecov-rcov'
  gem 'factory_girl', '4.1.0'
  gem "rspec", "2.11"
  gem 'spork', '0.9.0'
  gem 'database_cleaner', '1.3.0'
  gem 'faker', '1.3.0'
  gem 'resque_spec' #, :path => "/home/jam/src/resque_spec/"
  gem 'timecop'
  gem 'rspec-prof'
  gem 'time_difference'
  gem 'byebug'
  gem 'icalendar'
end

# Specify your gem's dependencies in jam_ruby.gemspec
gemspec
